% -*-trale-prolog-*-
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%   $RCSfile: lexicon.pl,v $
%%  $Revision: 1.6 $
%%      $Date: 2005/11/23 14:38:55 $
%%     Author: Stefan Mueller (Stefan.Mueller@cl.uni-bremen.de)
%%    Purpose: Eine kleine Spielzeuggrammatik fr die Lehre
%%   Language: Trale
%      System: TRALE 2.7.5 (release ) under Sicstus 3.10.1
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

das ---> (word,
  head:(det,
        agr:(num:sg,
             case:nom_acc,
             gen:neu)),
  subcat:[] ).

der ---> (word,
  head:(det,
        agr:(num:sg,
             case:nom,
             gen:mas)),
  subcat:[] ).

% wir gedenken der Frau
% wir helfen der Frau
der ---> (word,
  head:(det,
        agr:(num:sg,
             case:gen_dat,
             gen:fem)),
  subcat:[] ).

% wir gedenken der Frauen/Mnner/Kinder
der ---> (word,
  head:(det,
        agr:(num:pl,
             case:gen)),
  subcat:[] ).

% dem Mann
dem ---> (word,
  head:(det,
        agr:(num:sg,
             case:dat,
             gen:mas_neu)),
  subcat:[] ).

% den Mann
den ---> (word,
  head:(det,
        agr:(num:sg,
             case:acc,
             gen:mas)),
  subcat:[] ).

% helfen den Frauen/Mnnern/Kinder
den ---> (word,
  head:(det,
        agr:(num:pl,
             case:dat)),
  subcat:[] ).

des ---> (word,
  head:(det,
        agr:(num:sg,
             case:gen,
             gen:mas_neu)),
  subcat:[] ).

die ---> (word,
  head:(det,
        agr:(num:sg,
             case:nom_acc,
             gen:fem)),
  subcat:[] ).

die ---> (word,
  head:(det,
        agr:(num:pl,
             case:nom_acc)),
  subcat:[] ).

% ein Kind/Mann schlft.
ein ---> (word,
  head:(det,
        agr:(num:sg,
             case:nom,
             gen:mas_neu)),
  subcat:[] ).

% ich kenne ein Kind.
ein ---> (word,
  head:(det,
        agr:(num:sg,
             case:acc,
             gen:neu)),
  subcat:[] ).

eine ---> (word,
  head:(det,
        agr:(num:sg,
             case:nom_acc,
             gen:fem)),
  subcat:[] ).


einen ---> (word,
  head:(det,
        agr:(num:sg,
             case:acc,
             gen:mas)),
  subcat:[] ).

einem ---> (word,
  head:(det,
        agr:(num:sg,
             case:dat,
             gen:mas_neu)),
  subcat:[] ).

einer ---> (word,
  head:(det,
        agr:(num:sg,
             case:gen_dat,
             gen:fem)),
  subcat:[] ).


alle ---> (word,
  head:(det,
        agr:(num:pl,
             case:nom_acc)),
  subcat:[] ).

allen ---> (word,
  head:(det,
        agr:(num:pl,
             case:dat)),
  subcat:[] ).

aller ---> (word,
  head:(det,
        agr:(num:pl,
             case:gen)),
  subcat:[] ).

hund ---> (word,
  head:(noun,
        agr:(Agr,
             per:third,
             num:sg,
             case:nom_dat_acc,
             gen:mas)),
  subcat:[(head:(det,
                 agr:Agr)) ] ).

hundes ---> (word,
  head:(noun,
        agr:(Agr,
             per:third,
             num:sg,
             case:gen,
             gen:mas)),
  subcat:[(head:(det,
                 agr:Agr)) ] ).


hunde ---> (word,
  head:(noun,
        agr:(Agr,
             per:third,
             num:pl,
             case:nom_gen_acc)),
  subcat:[(head:(det,
                 agr:Agr)) ]  ).

hunden ---> (word,
  head:(noun,
        agr:(Agr,
             per:third,
             num:pl,
             case:dat)),
  subcat:[(head:(det,
                 agr:Agr)) ]  ).

katze ---> (word,
  head:(noun,
        agr:(Agr,
             per:third,
             num:sg,
             gen:fem)),
  subcat:[(head:(det,
                 agr:Agr)) ] ).


katzen ---> (word,
  head:(noun,
        agr:(Agr,
             per:third,
             num:pl)),
  subcat:[(head:(det,
                 agr:Agr)) ] ).


schaf ---> (word,
  head:(noun,
        agr:(Agr,
             per:third,
             num:sg,
             case:nom_dat_acc,
             gen:neu)),
  subcat:[(head:(det,
                 agr:Agr)) ] ).

schafes ---> (word,
  head:(noun,
        agr:(Agr,
             per:third,
             num:sg,
             case:gen)),
  subcat:[(head:(det,
                 agr:Agr)) ] ).


schafe ---> (word,
  head:(noun,
        agr:(Agr,
             per:third,
             num:pl,
             case:nom_gen_acc)),
  subcat:[(head:(det,
                 agr:Agr)) ] ).

schafen ---> (word,
  head:(noun,
        agr:(Agr,
             per:third,
             num:pl,
             case:dat)),
  subcat:[(head:(det,
                 agr:Agr)) ] ).


ich ---> (word,
  head:(noun,
        agr:(per:first,
             num:sg,
             case:nom)),
  subcat:[]).

bellt ---> (word,
  head:verb,
  subcat:[(head:(noun,
                 agr:(per:third,
                      num:sg,
                      case:nom)),
           subcat:[]) ] ).

bellen ---> (word,
  head:verb,
  subcat:[ (head:(noun,
                  agr:(per:third,
                       num:pl,
                       case:nom)),
               subcat:[])] ).

jagt ---> (word,
  head:verb,
  subcat:[ (head:(noun,
                  agr:(per:third,
                       num:sg,
                       case:nom)),
               subcat:[]),
           (head:(noun,
                  agr:case:acc),
               subcat:[]) ] ).

kennt ---> (word,
  head:verb,
  subcat:[ (head:(noun,
                  agr:(per:third,
                       num:sg,
                       case:nom)),
               subcat:[]),
           (head:(noun,
                  agr:case:acc),
               subcat:[]) ] ).

hilft ---> (word,
  head:verb,
  subcat:[ (head:(noun,
                  agr:(per:third,
                       num:sg,
                       case:nom)),
               subcat:[]),
           (head:(noun,
                  agr:case:dat),
               subcat:[]) ] ).

gab ---> (word,
  head:verb,
  subcat:[ (head:(noun,
                  agr:(per:first_or_third,
                       num:sg,
                       case:nom)),
               subcat:[]),
           (head:(noun,
                  agr:case:dat),
               subcat:[]),
           (head:(noun,
                  agr:case:acc),
               subcat:[]) ] ).


gibt ---> (word,
  head:verb,
  subcat:[ (head:(noun,
                  agr:(per:third,
                       num:sg,
                       case:nom)),
               subcat:[]),
           (head:(noun,
                  agr:case:dat),
               subcat:[]),
           (head:(noun,
                  agr:case:acc),
               subcat:[]) ] ).


erinnert ---> (word,
  head:verb,
  subcat:[ (head:(noun,
                  agr:(per:third,
                       num:sg,
                       case:nom)),
               subcat:[]),
           (head:(noun,
                  agr:case:acc),
               subcat:[]),
           (head:prep, subcat:[]) ] ).


an ---> (word,
  head:prep,
  subcat:[(head:(noun,
                 agr:case:acc),
           subcat:[]) ] ).



